Linux kernel 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1715624 漏洞类型 缓冲区错误
发布时间 2019-08-23 更新时间 2020-03-04
CVE编号 CVE-2019-15505 CNNVD-ID CNNVD-201908-1866
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201908-1866
|漏洞详情
Linux kernel是美国Linux基金会发布的开源操作系统Linux所使用的内核。 Linux kernel 5.2.9及之前版本中的drivers/media/usb/dvb-usb/technisat-usb2.c文件存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
|参考资料

来源:lore.kernel.org

链接:https://lore.kernel.org/lkml/b9b256cb-95f2-5fa1-9956-5a602a017c11@gmail.com/


来源:lore.kernel.org

链接:https://lore.kernel.org/linux-media/20190821104408.w7krumcglxo6fz5q@gofer.mess.org/


来源:git.linuxtv.org

链接:https://git.linuxtv.org/media_tree.git/commit/?id=0c4df39e504bf925ab666132ac3c98d6cbbe380b


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-15505